<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Everest
 * @since Catch Everest Pro 2.0
 */


if ( ! function_exists( 'catcheverest_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own catcheverest_menuitem(), and that function will be used instead.
 *
 * @since Catch Everest Pro 2.0
 */
function catcheverest_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // catcheverest_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item', 'catcheverest_menuitem', 0 );


if ( ! function_exists( 'catcheverest_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catcheverest_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Catch Everest Pro 2.0
 */
function catcheverest_qtranslate_invalidcache() {
	delete_transient( 'catcheverest_post_sliders' );
	delete_transient( 'catcheverest_page_sliders' );
	delete_transient( 'catcheverest_category_sliders' );
	delete_transient( 'catcheverest_image_sliders' );
	delete_transient( 'catcheverest_homepage_featured_content' );
	delete_transient( 'catcheverest_homepage_headline' );
	delete_transient( 'catcheverest_footer_content_new' ); // Footer Content New
	delete_transient( 'catcheverest_footercode' );

} // catcheverest_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'catcheverest_qtranslate_invalidcache' );