<?php
/**
 * @package Catch Themes
 * @subpackage Catch_Everest
 * @since Catch Everest 1.0
 */


if ( ! function_exists( 'catcheverest_available_fonts' ) ) :
/**
 * Returns an array of fonts available to the theme.
 *
 * @since Catch Everest Pro 1.0
 */
function catcheverest_available_fonts() {

	return array(
		'arial-black'			=> '"Arial Black", Gadget, sans-serif',
		'allan'					=> 'Allan, sans-serif',
		'allerta'				=> 'Allerta, sans-serif',
		'amaranth'				=> 'Amaranth, sans-serif',
		'arial'					=> 'Arial, Helvetica, sans-serif',
		'bitter'				=> 'Bitter, sans-serif',
		'cabin'					=> 'Cabin, sans-serif',
		'cantarell'				=> 'Cantarell, sans-serif',
		'century-gothic'		=> '"Century Gothic", sans-serif',
		'courier-new'			=> '"Courier New", Courier, monospace',
		'crimson-text'			=> '"Crimson Text", sans-serif',
		'cuprum'				=> '"Cuprum", sans-serif',
		'dancing-script'		=> '"Dancing Script", sans-serif',
		'droid-sans'			=> '"Droid Sans", sans-serif',
		'droid-serif'			=> '"Droid Serif", sans-serif',
		'georgia'				=> 'Georgia, "Times New Roman", Times, serif',
		'helvetica'				=> 'Helvetica, "Helvetica Neue", Arial, sans-serif',
		'helvetica-neue'		=> '"Helvetica Neue",Helvetica,Arial,sans-serif',
		'istok-web'				=> '"Istok Web", sans-serif',
		'impact'				=> 'Impact, Charcoal, sans-serif',
		'lato'					=> '"Lato", sans-serif',
		'lucida-sans-unicode'	=> '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
		'lucida-grande'			=> '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
		'lobster'				=> 'Lobster, sans-serif',
		'lora'					=> '"Lora", serif',
		'monaco'				=> 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
		'nobile'				=> 'Nobile, sans-serif',
		'open-sans'				=> '"Open Sans", sans-serif',
		'oswald'				=> '"Oswald", sans-serif',
		'palatino'				=> 'Palatino, "Palatino Linotype", "Book Antiqua", serif',
		'patua-one'				=> '"Patua One", sans-serif',
		'playfair-display'		=> '"Playfair Display", sans-serif',
		'pt-sans'				=> '"PT Sans", sans-serif',
		'pt-serif'				=> '"PT Serif", serif',
		'quattrocento-sans' 	=> '"Quattrocento Sans", sans-serif',
		'roboto'				=> 'Roboto, sans-serif',
		'sans-serif'			=> 'Sans Serif, Arial',
		'tahoma'				=> 'Tahoma, Geneva, sans-serif',
		'trebuchet-ms'			=> '"Trebuchet MS", "Helvetica", sans-serif',
		'times-new-roman'		=> '"Times New Roman", Times, serif',
		'ubuntu'				=> 'Ubuntu, sans-serif',
		'verdana'				=> 'Verdana, Geneva, sans-serif',
		'yanone-kaffeesatz' 	=> '"Yanone Kaffeesatz", sans-serif'
	);

}
endif;


/**
 * Set the default values for all the settings. If no user-defined values
 * is available for any setting, these defaults will be used.
 */
global $catcheverest_options_defaults;
$catcheverest_options_defaults = array(
		'disable_primary_menu'             => '0',
		'disable_responsive'               => '0',
		'enable_responsive_zoom'           => '0',
		'enable_menus'                     => '0',
		'site_title_above'                 => '0',
		'featured_header_image'            => esc_url( get_template_directory_uri() ).'/images/header-image.jpg',
		'featured_header_image_position'   => 'before-menu',
		'enable_featured_header_image'     => 'disable',
		'page_featured_image'              => 'full',
		'featured_header_image_url'        => '',
		'featured_header_image_alt'        => '',
		'featured_header_image_base'       => '0',
		'disable_header_right_sidebar'     => '0',
		'color_scheme'                     => 'light',
		'header_background'                => '#fff',
		'content_background'               => '#fff',
		'footer_sidebar_background'        => '#fafafa',
		'footer_background'                => '#3a3d41',
		'title_color'                      => '#222',
		'title_hover_color'                => '#0088cc',
		'meta_color'                       => '#757575',
		'text_color'                       => '#404040',
		'link_color'                       => '#0088cc',
		'widget_title_color'               => '#404040',
		'widget_color'                     => '#fff',
		'widget_link_color'                => '#757575',
		'home_headline_background'         => '#fafafa',
		'home_headline'                    => '#404040',
		'menu_background'                  => '#3a3d41',
		'menu_color'                       => '#eee',
		'hover_active_color'               => '#000',
		'hover_active_text_color'          => '#eee',
		'sub_menu_bg_color'                => '#222',
		'catcheverest_sub_menu_text_color' => '#fff',
		'sub_menu_text_color'              => '#fff',
		'scrollup_bg_color'                => '#000',
		'scrollup_text_color'              => '#fff',
		'reset_color'                      => '2',
		'body_font'                        => 'sans-serif',
		'title_font'                       => 'sans-serif',
		'tagline_font'                     => 'sans-serif',
		'content_tittle_font'              => 'sans-serif',
		'content_font'                     => 'sans-serif',
		'headings_font'                    => 'sans-serif',
		'commenting_setting'               => 'default',
		'reset_typography'                 => '2',
		'custom_css'                       => '',
		'disable_notifier'                 => '0',
		'disable_scrollup'                 => '0',
		'sidebar_layout'                   => 'right-sidebar',
		'content_layout'                   => 'full',
		'featured_image'                   => 'featured',
		'reset_layout'                     => '2',
		//WooCommerce Options
		'disable_product_gallery_zoom'     => 0,
		'disable_product_gallery_lightbox' => 0,
		'disable_product_gallery_slider'   => 0,
		'more_tag_text'                    => esc_attr__( 'Continue Reading', 'catch-everest-pro' ) . ' &rarr;',
		'reset_moretag'                    => '2',
		'excerpt_length'                   => 30,
		'search_display_text'              => esc_attr__( 'Search', 'catch-everest-pro' ) . ' &hellip;',
		'feed_url'                         => '',
		'homepage_headline'                => 'Homepage Headline. ',
		'homepage_subheadline'             => 'You can edit or disable it through Theme Options.',
		'disable_homepage_headline'        => '0',
		'disable_homepage_subheadline'     => '0',
		'disable_homepage_featured'        => '0',
		'homepage_featured_headline'       => '',
		'homepage_featured_qty'            => 3,
		'homepage_featured_layout'         => 'three-columns',
		'homepage_featured_image'          => array(),
		'homepage_featured_url'            => array(),
		'homepage_featured_base'           => array(),
		'homepage_featured_title'          => array(),
		'homepage_featured_content'        => array(),
		'homepage_featured_author'         => array(),
		'enable_posts_home'                => '0',
		'move_posts_home'                  => '0',
		'front_page_category'              => '0',
		'select_slider_type'               => 'demo-slider',
		'enable_slider'                    => 'enable-slider-homepage',
		'featured_slider'                  => array(),
		'featured_slider_page'             => array(),
		'slider_category'                  => '0',
		'featured_image_slider_image'      => array(),
		'featured_image_slider_link'       => array(),
		'featured_image_slider_base'       => array(),
		'featured_image_slider_title'      => array(),
		'featured_image_slider_content'    => array(),
		'featured_image_slider_author'     => array(),
		'slider_qty'                       => 4,
		'transition_effect'                => 'fade',
		'transition_delay'                 => 4,
		'transition_duration'              => 1,
		'exclude_slider_post'              => 0,
		'social_facebook'                  => '',
		'social_twitter'                   => '',
		'social_googleplus'                => '',
		'social_pinterest'                 => '',
		'social_youtube'                   => '',
		'social_vimeo'                     => '',
		'social_linkedin'                  => '',
		'social_slideshare'                => '',
		'social_foursquare'                => '',
		'social_flickr'                    => '',
		'social_tumblr'                    => '',
		'social_deviantart'                => '',
		'social_dribbble'                  => '',
		'social_myspace'                   => '',
		'social_wordpress'                 => '',
		'social_rss'                       => '',
		'social_delicious'                 => '',
		'social_lastfm'                    => '',
		'social_instagram'                 => '',
		'social_github'                    => '',
		'social_vkontakte'                 => '',
		'social_myworld'                   => '',
		'social_odnoklassniki'             => '',
		'social_goodreads'                 => '',
		'social_skype'                     => '',
		'social_soundcloud'                => '',
		'social_email'                     => '',
		'social_contact'                   => '',
		'social_xing'                      => '',
		'social_custom_qty'                => 1,
		'social_custom_name'               => array(),
		'social_custom_image'              => array(),
		'social_custom_url'                => array(),
		'google_verification'              => '',
		'yahoo_verification'               => '',
		'bing_verification'                => '',
		'analytic_header'                  => '',
		'analytic_footer'                  => '',
		'footer_code'                      => '<div class="copyright">'. esc_attr__( 'Copyright', 'catch-everest-pro' ) . ' &copy; [the-year] [site-link]. '. esc_attr__( 'All Rights Reserved', 'catch-everest-pro' ) . '.</div><div class="powered">'. esc_attr__( 'Theme:', 'catch-everest-pro' ) . ' [theme-link]</div>',
		'reset_footer'                     => '2'
);
global $catcheverest_options_settings;
$catcheverest_options_settings = catcheverest_options_set_defaults( $catcheverest_options_defaults );

function catcheverest_options_set_defaults( $catcheverest_options_defaults ) {
	$catcheverest_options_settings = array_merge( $catcheverest_options_defaults, (array) get_option( 'catcheverest_options', array() ) );
	return $catcheverest_options_settings;
}

/**
 * Returns an array of color schemes registered for catch-everest.
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_color_schemes() {
	$options = array(
		'light' 		=> __( 'Light', 'catch-everest-pro' ),
		'dark'			=> __( 'Dark', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_color_schemes', $options );
}

/**
 * Returns an array of sidebar layout options
 *
 * @since Catch Everest 2.5
 */
function catcheverest_sidebar_layout_options() {
	$options = array(
		'right-sidebar' 		=> __( 'Right Sidebar', 'catch-everest-pro' ),
		'left-sidebar' 			=> __( 'Left Sidebar', 'catch-everest-pro' ),
		'no-sidebar'			=> __( 'No Sidebar', 'catch-everest-pro' ),
		'no-sidebar-full-width' => __( 'No Sidebar, Full Width', 'catch-everest-pro' ),
		'no-sidebar-one-column' => __( 'No Sidebar, One Column', 'catch-everest-pro' )
	);

	return apply_filters( 'catcheverest_sidebar_layout_options', $options );
}


/**
 * Returns an array of content layout options
 *
 * @since Catch Everest 2.5
 */
function catcheverest_content_layout_options() {
	$options = array(
		'full' 		=> __( 'Full Content Display', 'catch-everest-pro' ),
		'excerpt' 	=> __( 'Excerpt/Blog Display', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_content_layout_options', $options );
}

/**
 * Returns an array of featured post slider enable options
 *
 * @since Catch Everest 2.5
 */
function catcheverest_enable_slider_options() {
	$options = array(
		'enable-slider-homepage'=> __( 'Homepage / Frontpage', 'catch-everest-pro' ),
		'enable-slider-allpage' => __( 'Entire Site', 'catch-everest-pro' ),
		'disable-slider' 		=> __( 'Disable', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_content_layout_options', $options );
}


/**
 * Returns an array of slider transition effects
 *
 * @since Catch Everest 2.5
 */
function catcheverest_transition_effects() {
	$options = array(
		'fade'			=> __( 'fade', 'catch-everest-pro' ),
		'wipe' 			=> __( 'wipe', 'catch-everest-pro' ),
		'scrollUp' 		=> __( 'scrollUp', 'catch-everest-pro' ),
		'scrollDown'	=> __( 'scrollDown', 'catch-everest-pro' ),
		'scrollUp' 		=> __( 'scrollUp', 'catch-everest-pro' ),
		'scrollLeft'	=> __( 'scrollLeft', 'catch-everest-pro' ),
		'scrollRight'	=> __( 'scrollRight', 'catch-everest-pro' ),
		'blindX' 		=> __( 'blindX', 'catch-everest-pro' ),
		'blindY' 		=> __( 'blindY', 'catch-everest-pro' ),
		'blindZ' 		=> __( 'blindZ', 'catch-everest-pro' ),
		'cover' 		=> __( 'cover', 'catch-everest-pro' ),
		'shuffle' 		=> __( 'shuffle', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_transition_effects', $options );
}

/**
 * Returns an array of enable header image options
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_enable_header_featured_image() {
	$options = array(
		'homepage' 		=> __( 'Homepage', 'catch-everest-pro' ),
		'excludehome' 	=> __( 'Excluding Homepage', 'catch-everest-pro' ),
		'allpage' 		=> __( 'Entire Site', 'catch-everest-pro' ),
		'postpage' 		=> __( 'Entire Site, Page/Post Featured Image', 'catch-everest-pro' ),
		'pagespostes'	=> __( 'Pages & Posts', 'catch-everest-pro' ),
		'disable'		=> __( 'Disable', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_enable_header_featured_image', $options );
}

/**
 * Returns an array of page/post featured image size
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_page_post_featured_image_size() {
	$options = array(
		'full' 		=> __( 'Full Image', 'catch-everest-pro' ),
		'slider' 	=> __( 'Slider Image', 'catch-everest-pro' ),
		'featured'	=> __( 'Featured Image', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_page_post_featured_image_size', $options );
}

/**
 * Returns an array of featured image postion
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_featured_header_image_position() {
	$options = array(
		'before-menu'			=> __( 'Before Menu', 'catch-everest-pro' ),
		'after-menu'			=> __( 'After Menu', 'catch-everest-pro' ),
		'after-header' 			=> __( 'After Header', 'catch-everest-pro' ),
		'after-sidebartop'		=> __( 'After Top Sidebar', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_featured_header_image_position', $options );
}

/**
 * Returns an array of content featured image size
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_content_featured_image_size() {
	$options = array(
		'full' 		=> __( 'Full Image', 'catch-everest-pro' ),
		'slider' 	=> __( 'Slider Image', 'catch-everest-pro' ),
		'featured'	=> __( 'Featured Image', 'catch-everest-pro' ),
		'disable'	=> __( 'Disable Image', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_content_featured_image_size', $options );
}

/**
 * Returns an array of comment option
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_comment_option() {
	$options = array(
		'default'	=> __( 'Use WordPress Settings', 'catch-everest-pro' ),
		'page'		=> __( 'Disable in Pages', 'catch-everest-pro' ),
		'disable'	=> __( 'Disable Completely', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_comment_option', $options );
}

/**
 * Returns an array of slider types
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_slider_types() {
	$options = array(
		'demo-slider' 		=> __( 'Demo Slider', 'catch-everest-pro' ),
		'post-slider' 		=> __( 'Featured Post Slider', 'catch-everest-pro' ),
		'page-slider' 		=> __( 'Featured Page Slider', 'catch-everest-pro' ),
		'category-slider' 	=> __( 'Featured Category Slider', 'catch-everest-pro' ),
		'image-slider' 		=> __( 'Featured Image Slider', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_slider_types', $options );
}

/**
 * Returns an array of slider types
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_homepage_featured_layout() {
	$options = array(
		'three-columns' 		=> __( '3 Columns', 'catch-everest-pro' ),
		'four-columns' 			=> __( '4 Columns', 'catch-everest-pro' ),
	);

	return apply_filters( 'catcheverest_homepage_featured_layout', $options );
}

/**
 * Returns an array of users
 *
 * @since Catch Everest Pro 3.4
 */
function catcheverest_get_users() {
	$users = get_users(
		array(
			'fields' => array(
				'display_name',
				'id'
				),
			'orderby'      => 'login',
			'order'        => 'ASC',
			)
		);

	$options = array();

	foreach ( $users as $user ) {
		$options[$user->id] = $user->display_name;
	}

	return apply_filters( 'catcheverest_homepage_featured_layout', $options );
}



?>
